﻿/**Begin D:\work_file\手动生成差量脚本\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm_new\PA_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_PA_TARGETDIMMAPPING', 'T_PA_TARGETDIMMAPPING', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_TARGETDIM_MAPPING_FK') CREATE INDEX IDX_PA_TARGETDIM_MAPPING_FK ON T_PA_TARGETDIMMAPPING ( FID );


 EXEC P_ALTERPK 'PK_T_PA_SYNCDATASCHEMA_L', 'T_PA_SYNCDATASCHEMA_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SYNCDATASCHEMA_L') CREATE INDEX IDX_PA_SYNCDATASCHEMA_L ON T_PA_SYNCDATASCHEMA_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PA_SYNCDATASCHEMA', 'T_PA_SYNCDATASCHEMA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SYNCDATASCHEMA') CREATE INDEX IDX_PA_SYNCDATASCHEMA ON T_PA_SYNCDATASCHEMA ( FSTATUS ,FENABLE ,FANALYSISMODELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SYNCDATASCHEMA_UN') CREATE UNIQUE INDEX IDX_PA_SYNCDATASCHEMA_UN ON T_PA_SYNCDATASCHEMA ( FNUMBER ,FMODELID );


 EXEC P_ALTERPK 'PK_T_PA_SOURCEDIMMAPPING', 'T_PA_SOURCEDIMMAPPING', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SOURCEDIM_MAPPING_FK') CREATE INDEX IDX_PA_SOURCEDIM_MAPPING_FK ON T_PA_SOURCEDIMMAPPING ( FID );

 EXEC P_ALTERPK 'PK_T_PA_ANALYSISMODEL', 'T_PA_ANALYSISMODEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_ANALYSISMODEL') CREATE INDEX IDX_PA_ANALYSISMODEL ON T_PA_ANALYSISMODEL ( FSTATUS ,FENABLE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NUMBER_SYSTEM') CREATE UNIQUE INDEX IDX_NUMBER_SYSTEM ON T_PA_ANALYSISMODEL ( FNUMBER ,FANALYSIS_SYSTEM );


 EXEC P_ALTERPK 'PK_T_PA_MEASUREMAPENTRY', 'T_PA_MEASUREMAPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MEASUREMAPENTRY') CREATE INDEX IDX_PA_MEASUREMAPENTRY ON T_PA_MEASUREMAPENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PA_MEASURE_L', 'T_PA_MEASURE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MEASURE_L') CREATE INDEX IDX_PA_MEASURE_L ON T_PA_MEASURE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PA_MEASUREENTRY', 'T_PA_MEASUREENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MEASURE_ENTRY') CREATE INDEX IDX_PA_MEASURE_ENTRY ON T_PA_MEASUREENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PA_MEASURE', 'T_PA_MEASURE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MEASURE') CREATE INDEX IDX_PA_MEASURE ON T_PA_MEASURE ( FSYSTEMID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MEASURE_NBSYS') CREATE UNIQUE INDEX IDX_PA_MEASURE_NBSYS ON T_PA_MEASURE ( FNUMBER ,FSYSTEMID );


 EXEC P_ALTERPK 'PK_T_PA_BUSIRULESTEPENTRY', 'T_PA_BUSIRULESTEPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BUSI_RULE_STEPENTRY') CREATE INDEX IDX_BUSI_RULE_STEPENTRY ON T_PA_BUSIRULESTEPENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PA_BUSINESSRULE', 'T_PA_BUSINESSRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_BUSINESS_RULE') CREATE INDEX IDX_PA_BUSINESS_RULE ON T_PA_BUSINESSRULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PA_BUSINESSRULE_L', 'T_PA_BUSINESSRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PA_BUSINESS_RULE_L') CREATE INDEX IDX_T_PA_BUSINESS_RULE_L ON T_PA_BUSINESSRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PA_BUSINESSPLAN', 'T_PA_BUSINESSPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_BUSINESSPLAN') CREATE INDEX IDX_PA_BUSINESSPLAN ON T_PA_BUSINESSPLAN ( FNUMBER );


 EXEC P_ALTERPK 'PK_PA_BUSINESSPLAN_L', 'T_PA_BUSINESSPLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_PLAN_L') CREATE INDEX IDX_PA_PLAN_L ON T_PA_BUSINESSPLAN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PA_DATAADJUST', 'T_PA_DATAADJUST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DATAADJUST') CREATE INDEX IDX_PA_DATAADJUST ON T_PA_DATAADJUST ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PA_DATASOURCECONFIG', 'T_PA_DATASOURCECONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DATASOURCE_CONFIG') CREATE UNIQUE INDEX IDX_PA_DATASOURCE_CONFIG ON T_PA_DATASOURCECONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PA_DATASOURCECONFIG_L', 'T_PA_DATASOURCECONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DATASOURCE_CONFIG_L') CREATE INDEX IDX_PA_DATASOURCE_CONFIG_L ON T_PA_DATASOURCECONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PA_BUSIPLANRULEENTRY', 'T_PA_BUSIPLANRULEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_BUSIPLAN_ENT') CREATE INDEX IDX_PA_BUSIPLAN_ENT ON T_PA_BUSIPLANRULEENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PA_MAPPINGENTRY', 'T_PA_MAPPINGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MAPPINGENTRY_FK') CREATE INDEX IDX_PA_MAPPINGENTRY_FK ON T_PA_MAPPINGENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MAPPINGENTRY_CRCK') CREATE INDEX IDX_PA_MAPPINGENTRY_CRCK ON T_PA_MAPPINGENTRY ( FSOURCEDIMCRC );


 EXEC P_ALTERPK 'PK_T_PA_MAPPINGRELATIONSHIP_L', 'T_PA_MAPPINGRELATIONSHIP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MAPPING_RELATIONSHIP_L') CREATE INDEX IDX_PA_MAPPING_RELATIONSHIP_L ON T_PA_MAPPINGRELATIONSHIP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PA_DERIVATIONRULE', 'T_PA_DERIVATIONRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DERIVATION_RULE') CREATE INDEX IDX_PA_DERIVATION_RULE ON T_PA_DERIVATIONRULE ( FANALYSISMODELID );


 EXEC P_ALTERPK 'PK_T_PA_DERIVATIONRULE_L', 'T_PA_DERIVATIONRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DERIVATIONRULE_L') CREATE INDEX IDX_PA_DERIVATIONRULE_L ON T_PA_DERIVATIONRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PA_DERIVATIONMODE_MR_S', 'T_PA_DERIVATIONMODE_MR_S', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DERIVATIONMODE_MR_S') CREATE INDEX IDX_PA_DERIVATIONMODE_MR_S ON T_PA_DERIVATIONMODE_MR_S ( FID );


 EXEC P_ALTERPK 'PK_T_PA_DETAILSUMMARYMAPPING', 'T_PA_DETAILSUMMARYMAPPING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SUMMARYDETAIL') CREATE INDEX IDX_PA_SUMMARYDETAIL ON T_PA_DETAILSUMMARYMAPPING ( FANALYSISMODEL ,FSUMMARYID ,FDETAILID );


 EXEC P_ALTERPK 'PK_T_PA_DERIVATIONMODE_MR_T', 'T_PA_DERIVATIONMODE_MR_T', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DERIVATIONMODE_MR_T') CREATE INDEX IDX_PA_DERIVATIONMODE_MR_T ON T_PA_DERIVATIONMODE_MR_T ( FID );


 EXEC P_ALTERPK 'PK_T_PA_DERIVATIONMODE_MT_S', 'T_PA_DERIVATIONMODE_MT_S', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DERIVATIONMODE_MT_S') CREATE INDEX IDX_PA_DERIVATIONMODE_MT_S ON T_PA_DERIVATIONMODE_MT_S ( FID );


 EXEC P_ALTERPK 'PK_T_PA_DERIVATIONMODE_MT_T', 'T_PA_DERIVATIONMODE_MT_T', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MT_T_FID') CREATE INDEX IDX_MT_T_FID ON T_PA_DERIVATIONMODE_MT_T ( FID );


 EXEC P_ALTERPK 'PK_T_PA_MAPPINGRELATIONSHIP', 'T_PA_MAPPINGRELATIONSHIP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MAPPING_RELATION_NK') CREATE UNIQUE INDEX IDX_PA_MAPPING_RELATION_NK ON T_PA_MAPPINGRELATIONSHIP ( FNUMBER ,FANASYSTEM );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_MAPPINGENTRY_SK') CREATE INDEX IDX_PA_MAPPINGENTRY_SK ON T_PA_MAPPINGRELATIONSHIP ( FANASYSTEM );

 EXEC P_ALTERPK 'PK_T_PA_DIMENSIONMAPENTRY', 'T_PA_DIMENSIONMAPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DIMENSIONMAPENTRY') CREATE INDEX IDX_PA_DIMENSIONMAPENTRY ON T_PA_DIMENSIONMAPENTRY ( FDIMENSIONFIELD );


 EXEC P_ALTERPK 'PK_T_PA_DIMENSIONENTRYENTITY', 'T_PA_DIMENSIONENTRYENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DIMENSIONENTRYENTITY_FK') CREATE INDEX IDX_PA_DIMENSIONENTRYENTITY_FK ON T_PA_DIMENSIONENTRYENTITY ( FID );


 EXEC P_ALTERPK 'PK_T_PA_DIMENSION_L', 'T_PA_DIMENSION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DIMENSION_L') CREATE INDEX IDX_PA_DIMENSION_L ON T_PA_DIMENSION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PA_INCOMEDEFINE', 'T_PA_INCOMEDEFINE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_INCOMEDEFINE_2') CREATE INDEX IDX_PA_INCOMEDEFINE_2 ON T_PA_INCOMEDEFINE ( FNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_INCOMEDEFINE_1') CREATE INDEX IDX_PA_INCOMEDEFINE_1 ON T_PA_INCOMEDEFINE ( FNUMBER ,FNAME );


 EXEC P_ALTERPK 'PK_T_PA_INCOMEDEFINE_L', 'T_PA_INCOMEDEFINE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_INCOMEDEFINE_L') CREATE INDEX IDX_PA_INCOMEDEFINE_L ON T_PA_INCOMEDEFINE_L ( FID );


 EXEC P_ALTERPK 'PK_T_PA_INCOMEDEFINECOL', 'T_PA_INCOMEDEFINECOL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_INCOMEDIFINECOL') CREATE INDEX IDX_PA_INCOMEDIFINECOL ON T_PA_INCOMEDEFINECOL ( FID );


 EXEC P_ALTERPK 'PK_T_PA_INCOMEDEFINEROW', 'T_PA_INCOMEDEFINEROW', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_INCOMEDEFINEROW') CREATE INDEX IDX_PA_INCOMEDEFINEROW ON T_PA_INCOMEDEFINEROW ( FID );


 EXEC P_ALTERPK 'PK_T_PA_DIMENSIONENTRY', 'T_PA_DIMENSIONENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DIMENSION_ENTRY') CREATE INDEX IDX_PA_DIMENSION_ENTRY ON T_PA_DIMENSIONENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PA_EXECUTIONLOG', 'T_PA_EXECUTIONLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_EXECUTION_LOG_1') CREATE INDEX IDX_PA_EXECUTION_LOG_1 ON T_PA_EXECUTIONLOG ( FANALYSIS_SYSTEM ,FANALYSIS_MODEL ,FORGFIELD );


 EXEC P_ALTERPK 'PK_T_PA_DIMENSION', 'T_PA_DIMENSION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DIMENSION') CREATE INDEX IDX_PA_DIMENSION ON T_PA_DIMENSION ( FSYSTEMID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DIMENSION_NBSYS') CREATE UNIQUE INDEX IDX_PA_DIMENSION_NBSYS ON T_PA_DIMENSION ( FNUMBER ,FSYSTEMID );


 EXEC P_ALTERPK 'PK_T_PA_ANASYSTEMSETTING_L', 'T_PA_ANASYSTEMSETTING_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_ANASYSTEMSETTING_L') CREATE INDEX IDX_PA_ANASYSTEMSETTING_L ON T_PA_ANASYSTEMSETTING_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PA_ANASYSTEMSETTING', 'T_PA_ANASYSTEMSETTING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_ANALYSIS_NK') CREATE UNIQUE INDEX IDX_PA_ANALYSIS_NK ON T_PA_ANASYSTEMSETTING ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_ANALYSIS_MK') CREATE INDEX IDX_PA_ANALYSIS_MK ON T_PA_ANASYSTEMSETTING ( FMODULERANGE );


 EXEC P_ALTERPK 'PK_T_PA_ANALYSISMODEL_L', 'T_PA_ANALYSISMODEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_ANALYSISMODEL_L') CREATE INDEX IDX_PA_ANALYSISMODEL_L ON T_PA_ANALYSISMODEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PA_RULEEXECDETAIL', 'T_PA_RULEEXECDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_RULEEXECDETAIL_1') CREATE INDEX IDX_PA_RULEEXECDETAIL_1 ON T_PA_RULEEXECDETAIL ( FEXECUTION_LOGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_RULEEXECDETAIL_2') CREATE INDEX IDX_PA_RULEEXECDETAIL_2 ON T_PA_RULEEXECDETAIL ( FRULE_EXECUTION_LOGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_RULEEXECDETAIL_3') CREATE INDEX IDX_PA_RULEEXECDETAIL_3 ON T_PA_RULEEXECDETAIL ( FTARGET_ID );


 EXEC P_ALTERPK 'PK_T_PA_RULEEXECLOG', 'T_PA_RULEEXECLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_RULE_EXECUTION_LOG_1') CREATE INDEX IDX_PA_RULE_EXECUTION_LOG_1 ON T_PA_RULEEXECLOG ( FEXECUTION_LOGID );


 EXEC P_ALTERPK 'PK_T_PA_RULECONDITIONENTITY', 'T_PA_RULECONDITIONENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_CONDITION_FID') CREATE INDEX IDX_PA_CONDITION_FID ON T_PA_RULECONDITIONENTITY ( FID );


 EXEC P_ALTERPK 'PK_T_PA_SHAREFACTOR', 'T_PA_SHAREFACTOR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SHARE_FACTOR_1') CREATE INDEX IDX_PA_SHARE_FACTOR_1 ON T_PA_SHAREFACTOR ( FANALYSIS_SYSTEM ,FANALYSIS_MODEL );


 EXEC P_ALTERPK 'PK_T_PA_SHAREFACTORDIM', 'T_PA_SHAREFACTORDIM', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SHARE_FACTOR_DIM_1') CREATE INDEX IDX_PA_SHARE_FACTOR_DIM_1 ON T_PA_SHAREFACTORDIM ( FID );


 EXEC P_ALTERPK 'PK_T_PA_SHAREFACTORENTRY', 'T_PA_SHAREFACTORENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SHARE_FACTOR_ENTRY_1') CREATE INDEX IDX_PA_SHARE_FACTOR_ENTRY_1 ON T_PA_SHAREFACTORENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PA_SHAREFACTOR_L', 'T_PA_SHAREFACTOR_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SHARE_FACTOR_L_1') CREATE INDEX IDX_PA_SHARE_FACTOR_L_1 ON T_PA_SHAREFACTOR_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PA_SHARERULE', 'T_PA_SHARERULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SHARE_RULE') CREATE INDEX IDX_PA_SHARE_RULE ON T_PA_SHARERULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PA_SHARERULE_L', 'T_PA_SHARERULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SHARE_RULE_L') CREATE INDEX IDX_PA_SHARE_RULE_L ON T_PA_SHARERULE_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_T_PA_SHARESAVESUBDATA', 'T_PA_SHARESAVESUBDATA', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SHARE_SAVESUBDATA') CREATE INDEX IDX_PA_SHARE_SAVESUBDATA ON T_PA_SHARESAVESUBDATA ( FID );


 EXEC P_ALTERPK 'PK_T_PA_SHAREBASE', 'T_PA_SHAREBASE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SHAREBASE') CREATE INDEX IDX_PA_SHAREBASE ON T_PA_SHAREBASE ( FID );


 EXEC P_ALTERPK 'PK_T_PA_SHARERULEENTRY', 'T_PA_SHARERULEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SHARERULEENTRY_FK') CREATE INDEX IDX_PA_SHARERULEENTRY_FK ON T_PA_SHARERULEENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PA_SHARERULEENTRYSEND', 'T_PA_SHARERULEENTRYSEND', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SHARERULEENTRYSEND') CREATE INDEX IDX_PA_SHARERULEENTRYSEND ON T_PA_SHARERULEENTRYSEND ( FID );


 EXEC P_ALTERPK 'PK_T_PA_SHARESAVELIMIT', 'T_PA_SHARESAVELIMIT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SHARESAVELIMIT') CREATE INDEX IDX_PA_SHARESAVELIMIT ON T_PA_SHARESAVELIMIT ( FID );

 EXEC P_ALTERPK 'PK_T_PA_SOURCEMODELMAPPING', 'T_PA_SOURCEMODELMAPPING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_SOURCEMODEL') CREATE INDEX IDX_PA_SOURCEMODEL ON T_PA_SOURCEMODELMAPPING ( FANALYSISMODEL ,FMODELTABLEID );

 EXEC P_ALTERPK 'PK_T_PA_VERIFICATIONLOG', 'T_PA_VERIFICATIONLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PK_T_PA_VERIFICATION_LOG_1') CREATE INDEX IDX_PK_T_PA_VERIFICATION_LOG_1 ON T_PA_VERIFICATIONLOG ( FANALYSISSYSTEM );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PK_T_PA_VERIFICATION_LOG_2') CREATE INDEX IDX_PK_T_PA_VERIFICATION_LOG_2 ON T_PA_VERIFICATIONLOG ( FBASEPERIOD );


 EXEC P_ALTERPK 'PK_T_PA_VERIFICATIONRULES', 'T_PA_VERIFICATIONRULES', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_VERIFICATION_RULE_1') CREATE INDEX IDX_PA_VERIFICATION_RULE_1 ON T_PA_VERIFICATIONRULES ( FNUMBER  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_VERIFICATION_RULE_2') CREATE INDEX IDX_PA_VERIFICATION_RULE_2 ON T_PA_VERIFICATIONRULES ( FANASYSTEMSETTING ,FANALYSIS_MODEL );


 EXEC P_ALTERPK 'PK_T_PA_VERIFICATIONRULES_L', 'T_PA_VERIFICATIONRULES_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_DERIVATION_RULE_L') CREATE INDEX IDX_PA_DERIVATION_RULE_L ON T_PA_VERIFICATIONRULES_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PA_RESULTENTRY', 'T_PA_RESULTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_RESULTENTRY_1') CREATE INDEX IDX_PA_RESULTENTRY_1 ON T_PA_RESULTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PA_RESULTADJUST', 'T_PA_RESULTADJUST', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_RESULTADJUST_1') CREATE INDEX IDX_PA_RESULTADJUST_1 ON T_PA_RESULTADJUST ( FID );


 EXEC P_ALTERPK 'PK_T_PA_ADEXECLOG', 'T_PA_ADEXECLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_ADEXECLOG_1') CREATE INDEX IDX_PA_ADEXECLOG_1 ON T_PA_ADEXECLOG ( FEXECUTION_LOGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_ADEXECLOG_2') CREATE INDEX IDX_PA_ADEXECLOG_2 ON T_PA_ADEXECLOG ( FAD_ID );


 EXEC P_ALTERPK 'PK_T_PA_ADEXECDETAIL', 'T_PA_ADEXECDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_ADEXECDETAIL_1') CREATE INDEX IDX_PA_ADEXECDETAIL_1 ON T_PA_ADEXECDETAIL ( FEXECUTION_LOGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_ADEXECDETAIL_2') CREATE INDEX IDX_PA_ADEXECDETAIL_2 ON T_PA_ADEXECDETAIL ( FAD_EXECUTION_LOGID );


 EXEC P_ALTERPK 'PK_T_PA_OFFEXECDETAIL', 'T_PA_OFFEXECDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PA_OFFEXECDETAIL_1') CREATE INDEX IDX_PA_OFFEXECDETAIL_1 ON T_PA_OFFEXECDETAIL ( FEXECUTION_LOGID );



/**End D:\work_file\手动生成差量脚本\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm_new\PA_constraint.sql **/
