﻿/**Begin D:\work_file\手动生成差量脚本\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm_new\PA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_TARGETDIMMAPPING')
 CREATE TABLE T_PA_TARGETDIMMAPPING (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SYNCDATASCHEMA_L')
 CREATE TABLE T_PA_SYNCDATASCHEMA_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SYNCDATASCHEMA')
 CREATE TABLE T_PA_SYNCDATASCHEMA (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FANALYSISMODELID BIGINT DEFAULT 0 NOT NULL,
FBIZAPPID VARCHAR(36) DEFAULT ' ' NOT NULL,
FDATASOURCEID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SOURCEDIMMAPPING')
 CREATE TABLE T_PA_SOURCEDIMMAPPING (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_ANALYSISMODEL')
 CREATE TABLE T_PA_ANALYSISMODEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FANALYSIS_SYSTEM BIGINT DEFAULT 0 NOT NULL,
FTABLENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPERIODTYPEID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_MEASUREMAPENTRY')
 CREATE TABLE T_PA_MEASUREMAPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMEASUREID BIGINT DEFAULT 0 NOT NULL,
FMEASUREFIELD VARCHAR(30) DEFAULT ' ' NOT NULL,
FMEASUREDEFAULTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONDITIONDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONDITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCONDITION_TAG NCLOB,
FSELECTTYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_MEASURE_L')
 CREATE TABLE T_PA_MEASURE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_MEASUREENTRY')
 CREATE TABLE T_PA_MEASUREENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMEASURE_ID BIGINT DEFAULT 0 NOT NULL,
FMEASURE_FIELDNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMEASURE_FIELDNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_MEASURE')
 CREATE TABLE T_PA_MEASURE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSYSTEMID BIGINT DEFAULT 0 NOT NULL,
FMEASURETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FAGGREGATIONTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FMEASUREID BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONATTR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDIMENSIONATTRNB VARCHAR(255) DEFAULT ' ' NOT NULL,
FSITUATIONTYPE CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_BUSIRULESTEPENTRY')
 CREATE TABLE T_PA_BUSIRULESTEPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FHANDLETYPE VARCHAR(4) DEFAULT ' ' NOT NULL,
FSTEPNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDERIVATIONMODELID BIGINT DEFAULT 0 NOT NULL,
FSHAREMODELID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_BUSINESSRULE')
 CREATE TABLE T_PA_BUSINESSRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY CHAR(4) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FANALYSISSYSTEMID BIGINT DEFAULT 0 NOT NULL,
FANALYSISMODELID BIGINT DEFAULT 0 NOT NULL,
FPERIODTYPE BIGINT DEFAULT 0 NOT NULL,
FSTARTPERIODID BIGINT DEFAULT 0 NOT NULL,
FENDPERIODID BIGINT DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTTYPEID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTFILTER VARCHAR(255) DEFAULT ' ' NOT NULL,
FACCOUNTFILTER_TAG NCLOB,
FDESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FPERIODBASETYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_BUSINESSRULE_L')
 CREATE TABLE T_PA_BUSINESSRULE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_BUSINESSPLAN')
 CREATE TABLE T_PA_BUSINESSPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY CHAR(4) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FANALYSISSYSTEMID BIGINT DEFAULT 0 NOT NULL,
FANALYSISMODELID BIGINT DEFAULT 0 NOT NULL,
FDESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FRULECOUNT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_BUSINESSPLAN_L')
 CREATE TABLE T_PA_BUSINESSPLAN_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DATAADJUST')
 CREATE TABLE T_PA_DATAADJUST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FANALYSISSYSTEMID BIGINT DEFAULT 0 NOT NULL,
FANALYSISMODELID BIGINT DEFAULT 0 NOT NULL,
FPERIODTYPE BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FADJUSTDESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FFAILDESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FADJUSTSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FADJUSTJSON VARCHAR(255) DEFAULT ' ' NOT NULL,
FADJUSTJSON_TAG NCLOB,
FPERIODBASETYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DATASOURCECONFIG')
 CREATE TABLE T_PA_DATASOURCECONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDATASOURCE_TYPE CHAR(1) DEFAULT ' ' NOT NULL,
FENTITY_NUMBER VARCHAR(36) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FACCOUNTBOOKSTYPE BIGINT DEFAULT 0 NOT NULL,
FENTITYFILTER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FENTITYFILTER_TAG NCLOB,
FISSYSTEM CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DATASOURCECONFIG_L')
 CREATE TABLE T_PA_DATASOURCECONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_BUSIPLANRULEENTRY')
 CREATE TABLE T_PA_BUSIPLANRULEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRULENUMBER BIGINT DEFAULT 0 NOT NULL,
FRULEDESC VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_MAPPINGENTRY')
 CREATE TABLE T_PA_MAPPINGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSOURCEDIMCRC BIGINT DEFAULT 0 NOT NULL,
FSOURCEDIMTEXT VARCHAR(2000) DEFAULT ' ' NOT NULL,
FTARGETDIMTEXT VARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_MAPPINGRELATIONSHIP_L')
 CREATE TABLE T_PA_MAPPINGRELATIONSHIP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DERIVATIONRULE')
 CREATE TABLE T_PA_DERIVATIONRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FANALYSISSYSTEMID BIGINT DEFAULT 0 NOT NULL,
FANALYSISMODELID BIGINT DEFAULT 0 NOT NULL,
FDERIVATIONMODE CHAR(1) DEFAULT 'A' NOT NULL,
FMAPPINGMAP VARCHAR(30) DEFAULT ' ' NOT NULL,
FMAPPINGMAPTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMAPPINGRELATIONSHIPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DERIVATIONRULE_L')
 CREATE TABLE T_PA_DERIVATIONRULE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DERIVATIONMODE_MR_S')
 CREATE TABLE T_PA_DERIVATIONMODE_MR_S (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSOURCEFIELD BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DETAILSUMMARYMAPPING')
 CREATE TABLE T_PA_DETAILSUMMARYMAPPING (
FID BIGINT DEFAULT 0 NOT NULL,
FANALYSISMODEL BIGINT DEFAULT 0 NOT NULL,
FSUMMARYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FCREATETIMESTAMP BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DERIVATIONMODE_MR_T')
 CREATE TABLE T_PA_DERIVATIONMODE_MR_T (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FTARGETFIELD BIGINT DEFAULT 0 NOT NULL,
FDEFAULTTEXT VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEFAULTTEXTE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDTYPEBASEDATA VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDTYPEASSISTANT VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DERIVATIONMODE_MT_S')
 CREATE TABLE T_PA_DERIVATIONMODE_MT_S (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FMTSOURCE BIGINT DEFAULT 0 NOT NULL,
FMTSOURCEFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FMTSOURCEFIELDNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FMTMSOURCEFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FMTMSOURCEFIELDNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FMTSOURCEFIELDTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMTMSOURCEFIELDTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DERIVATIONMODE_MT_T')
 CREATE TABLE T_PA_DERIVATIONMODE_MT_T (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FMTTARGET BIGINT DEFAULT 0 NOT NULL,
FMTTARGETFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FMTTARGETFIELDNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FMTMTARGETFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FMTMTARGETFIELDNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FMTMDEFAULTTEXT VARCHAR(50) DEFAULT ' ' NOT NULL,
FMTMDEFAULTTEXTE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMTMFIELDTYPEBASEDATA VARCHAR(50) DEFAULT ' ' NOT NULL,
FMTMFIELDTYPEASSISTANT VARCHAR(50) DEFAULT ' ' NOT NULL,
FMTTARGETFIELDTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMTMTARGETFIELDTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_MAPPINGRELATIONSHIP')
 CREATE TABLE T_PA_MAPPINGRELATIONSHIP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FANASYSTEM BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DIMENSIONMAPENTRY')
 CREATE TABLE T_PA_DIMENSIONMAPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONFIELD VARCHAR(80) DEFAULT ' ' NOT NULL,
FDIMDEFAULTVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DIMENSIONENTRYENTITY')
 CREATE TABLE T_PA_DIMENSIONENTRYENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIELDNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FDATATYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DIMENSION_L')
 CREATE TABLE T_PA_DIMENSION_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_INCOMEDEFINE')
 CREATE TABLE T_PA_INCOMEDEFINE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FANALYSISSYSTEM BIGINT DEFAULT 0 NOT NULL,
FANALYSISMODEL BIGINT DEFAULT 0 NOT NULL,
FDIMENSION BIGINT DEFAULT 0 NOT NULL,
FMEASURE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_INCOMEDEFINE_L')
 CREATE TABLE T_PA_INCOMEDEFINE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_INCOMEDEFINECOL')
 CREATE TABLE T_PA_INCOMEDEFINECOL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDIMNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIMNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCOLDIMENSION BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_INCOMEDEFINEROW')
 CREATE TABLE T_PA_INCOMEDEFINEROW (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREPORTITEM VARCHAR(50) DEFAULT ' ' NOT NULL,
FINTEGERFIELD INT DEFAULT 0 NOT NULL,
FDSEQ INT DEFAULT 0 NOT NULL,
FCALCULATIONRULE VARCHAR(255) DEFAULT ' ' NOT NULL,
FCALCULATIONRULE_TAG NCLOB,
FCALCULATIONDESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FCALCULATIONDESC_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DIMENSIONENTRY')
 CREATE TABLE T_PA_DIMENSIONENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDIMENSION_ID BIGINT DEFAULT 0 NOT NULL,
FFIELD_NAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIELD_NUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FFIELD_NUMBER_TAG NCLOB,
FNECESSITY_DIM CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_EXECUTIONLOG')
 CREATE TABLE T_PA_EXECUTIONLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FANALYSIS_SYSTEM BIGINT DEFAULT 0 NOT NULL,
FANALYSIS_MODEL BIGINT DEFAULT 0 NOT NULL,
FORGFIELD BIGINT DEFAULT 0 NOT NULL,
FBUSINESS_PLAN BIGINT DEFAULT 0 NOT NULL,
FBUSINESS_RULE BIGINT DEFAULT 0 NOT NULL,
FEXECUTION_TIME DATETIME,
FDETAILTIME BIGINT DEFAULT 0 NOT NULL,
FEXECUTION_STATUS CHAR(1) DEFAULT '0' NOT NULL,
FEXECUTION_MODE CHAR(1) DEFAULT '0' NOT NULL,
FEXECUTION_TYPE CHAR(1) DEFAULT '1' NOT NULL,
FITEMCLASSTYPEFIELD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTPERIOD BIGINT DEFAULT 0 NOT NULL,
FENDPERIOD BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255),
FREMARK_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DIMENSION')
 CREATE TABLE T_PA_DIMENSION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSYSTEMID BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FDIMENSIONSRCID VARCHAR(36) DEFAULT ' ' NOT NULL,
FASSISTANTSOURCEID BIGINT DEFAULT 0 NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTYPEFIELD VARCHAR(36) DEFAULT ' ' NOT NULL,
FGROUPTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_ANASYSTEMSETTING_L')
 CREATE TABLE T_PA_ANASYSTEMSETTING_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIBE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_ANASYSTEMSETTING')
 CREATE TABLE T_PA_ANASYSTEMSETTING (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMODULERANGE VARCHAR(36) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIBE NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_ANALYSISMODEL_L')
 CREATE TABLE T_PA_ANALYSISMODEL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_RULEEXECDETAIL')
 CREATE TABLE T_PA_RULEEXECDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FEXECUTION_LOGID BIGINT DEFAULT 0 NOT NULL,
FRULE_EXECUTION_LOGID BIGINT DEFAULT 0 NOT NULL,
FSOURCE_ID BIGINT DEFAULT 0 NOT NULL,
FTARGET_ID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_RULEEXECLOG')
 CREATE TABLE T_PA_RULEEXECLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FEXECUTION_LOGID BIGINT DEFAULT 0 NOT NULL,
FRULE_TYPE CHAR(1) DEFAULT '1' NOT NULL,
FRULE_ID BIGINT DEFAULT 0 NOT NULL,
FEXECUTION_STATUS CHAR(1) DEFAULT '0' NOT NULL,
FEXECUTION_TIME DATETIME,
FDETAILTIME BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255),
FREMARK_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_RULECONDITIONENTITY')
 CREATE TABLE T_PA_RULECONDITIONENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONDITIONSETTING VARCHAR(500) DEFAULT ' ' NOT NULL,
FRETURNRESULT VARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIBE VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXPRESSION VARCHAR(500) DEFAULT ' ' NOT NULL,
FFILTERSTRING VARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTERSTRING_TAG NCLOB DEFAULT NULL,
FCONDITIONRESULT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SHAREFACTOR')
 CREATE TABLE T_PA_SHAREFACTOR (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FANALYSIS_SYSTEM BIGINT DEFAULT 0 NOT NULL,
FDESCRIBE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFACTORTYPE CHAR(1) DEFAULT '0' NOT NULL,
FANALYSIS_MODEL BIGINT DEFAULT 0 NOT NULL,
FUNITFIELD BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SHAREFACTORDIM')
 CREATE TABLE T_PA_SHAREFACTORDIM (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SHAREFACTORENTRY')
 CREATE TABLE T_PA_SHAREFACTORENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.00 NOT NULL,
FDIMENSIONJSON VARCHAR(255),
FDIMENSIONJSON_TAG NCLOB,
FVALUE_IDS VARCHAR(255),
FVALUE_IDS_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SHAREFACTOR_L')
 CREATE TABLE T_PA_SHAREFACTOR_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SHARERULE')
 CREATE TABLE T_PA_SHARERULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FRECEIVERULE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSHAREFACTOR BIGINT DEFAULT 0 NOT NULL,
FMEASURE BIGINT DEFAULT 0 NOT NULL,
FANALYSISSYSTEMID BIGINT DEFAULT 0 NOT NULL,
FANALYSISMODELID BIGINT DEFAULT 0 NOT NULL,
FLIMITTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINPUTRATIOBOX CHAR(1) DEFAULT ' ' NOT NULL,
FLIMITBOX CHAR(1) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FACCOUNTFILTER VARCHAR(255) DEFAULT ' ' NOT NULL,
FACCOUNTFILTER_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SHARERULE_L')
 CREATE TABLE T_PA_SHARERULE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SHARESAVESUBDATA')
 CREATE TABLE T_PA_SHARESAVESUBDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSUBVALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBVALUE_TAG NCLOB DEFAULT NULL,
FSUBDATAID VARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SHAREBASE')
 CREATE TABLE T_PA_SHAREBASE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SHARERULEENTRY')
 CREATE TABLE T_PA_SHARERULEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRECEIVEDIMENSION BIGINT DEFAULT 0 NOT NULL,
FCOMBORECEIVE VARCHAR(50) DEFAULT ' ' NOT NULL,
FRECEIVEDIMVALUE VARCHAR(1024) DEFAULT ' ' NOT NULL,
FRECEIVEDIMID VARCHAR(1024) DEFAULT ' ' NOT NULL,
FRECEIVEMATENAME VARCHAR(500) DEFAULT ' ' NOT NULL,
FRECEIVEDIMTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SHARERULEENTRYSEND')
 CREATE TABLE T_PA_SHARERULEENTRYSEND (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSENDDIMENSION BIGINT DEFAULT 0 NOT NULL,
FCOMBOFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIMENSIONVALUE VARCHAR(1024) DEFAULT ' ' NOT NULL,
FDIMENSIONID VARCHAR(1024) DEFAULT ' ' NOT NULL,
FSENDDIMTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSENDMATENAME VARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SHARESAVELIMIT')
 CREATE TABLE T_PA_SHARESAVELIMIT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSUBVALUELIMIT VARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBVALUELIMIT_TAG NCLOB DEFAULT NULL,
FSUBDATAIDLIMIT VARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SOURCEMODELMAPPING')
 CREATE TABLE T_PA_SOURCEMODELMAPPING (
FID BIGINT DEFAULT 0 NOT NULL,
FANALYSISMODEL BIGINT DEFAULT 0 NOT NULL,
FMODELTABLEID BIGINT DEFAULT 0 NOT NULL,
FSOURCENUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCEENTITYID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_VERIFICATIONLOG')
 CREATE TABLE T_PA_VERIFICATIONLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FANALYSISSYSTEM BIGINT DEFAULT 0 NOT NULL,
FBASEPERIOD BIGINT DEFAULT 0 NOT NULL,
FVERIFICATIONRESULT CHAR(1) DEFAULT ' ' NOT NULL,
FSPARE VARCHAR(50) DEFAULT ' ' NOT NULL,
FANALYSISMODEL BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FRETURNRESULT VARCHAR(2000) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FCONDITIONSETTING VARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_VERIFICATIONRULES')
 CREATE TABLE T_PA_VERIFICATIONRULES (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FANASYSTEMSETTING BIGINT DEFAULT 0 NOT NULL,
FANALYSIS_MODEL BIGINT DEFAULT 0 NOT NULL,
FCONTROLMODE CHAR(1) DEFAULT ' ' NOT NULL,
FVERIFICATIONTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FVERIFICATIONLINK CHAR(1) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_VERIFICATIONRULES_L')
 CREATE TABLE T_PA_VERIFICATIONRULES_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_RESULTENTRY')
 CREATE TABLE T_PA_RESULTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRY_BUSINESSRULE BIGINT DEFAULT 0 NOT NULL,
FSTEPNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRY_EXECUTIONTIME DATETIME,
FENTRY_EXECUTIONSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FRULE_ID BIGINT DEFAULT 0 NOT NULL,
FENTRY_WRITEOFFSTATUS CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_RESULTADJUST')
 CREATE TABLE T_PA_RESULTADJUST (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FADJUSTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_ADEXECLOG')
 CREATE TABLE T_PA_ADEXECLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FEXECUTION_LOGID BIGINT DEFAULT 0 NOT NULL,
FEXECUTION_STATUS CHAR(1) DEFAULT ' ' NOT NULL,
FEXECUTION_TIME DATETIME,
FREMARK NVARCHAR(255),
FREMARK_TAG NCLOB,
FAD_ID BIGINT DEFAULT 0 NOT NULL,
FDETAILTIME BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_ADEXECDETAIL')
 CREATE TABLE T_PA_ADEXECDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FEXECUTION_LOGID BIGINT DEFAULT 0 NOT NULL,
FSOURCE_ID BIGINT DEFAULT 0 NOT NULL,
FTARGET_ID BIGINT DEFAULT 0 NOT NULL,
FAD_EXECUTION_LOGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_OFFEXECDETAIL')
 CREATE TABLE T_PA_OFFEXECDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FEXECUTION_LOGID BIGINT DEFAULT 0 NOT NULL,
FSOURCE_ID BIGINT DEFAULT 0 NOT NULL,
FTARGET_ID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\work_file\手动生成差量脚本\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm_new\PA_table.sql **/
